#!/bin/bash
# Copyright (c) 2022 Liverpool Data Research Associates Ltd. All rights reserved.
#
# Portside
# Monks Ferry
# Wirral
# CH41 5LH
#
# e:licencing@ldra.com  t:+44 (0)151 649 9300  f:+44 (0)151 649 9666
#
#
# Get_LicenseInfo.sh
#
# This file obtains the information required by LDRA to generate a FlexLM license.
#
# This file must be in the same directory as the file lmutil.
#
# Before running this file please check the permissions of this file and those in 
# the same directory.
#
# Running this file will generate a file with the extension .info. Email the contents
# of this file to licencing@ldra.com to rquest your FlexLM license.
#
# This file should not be changed, modified or altered in any way, including this
# notice, without the express written permission of LDRA Ltd.
# 
# Copyright is protected by UK, US and international laws.

USERID=`id | cut -d \( -f 1 | cut -d \= -f 2`
if [ "$USERID" -ne 0 ]
then
echo "ERROR: Please run this script using 'sudo' or as root (su)."
    exit 1
fi
cd FNP
sudo sh install_fnp.sh --nolsb > /dev/null 2>&1
cd ..
echo "##############################################" >  $HOSTNAME.info
echo "#                                            #" >> $HOSTNAME.info
echo "# To obtain your license, email the contents #" >> $HOSTNAME.info 
echo "# of this file to licencing@ldra.com         #" >> $HOSTNAME.info
echo "# including your Customer ID in the subject  #" >> $HOSTNAME.info
echo "# field.                                     #" >> $HOSTNAME.info
echo "#                                            #" >> $HOSTNAME.info
echo "##############################################" >> $HOSTNAME.info
echo "                                              " >> $HOSTNAME.info
DATEx=`date +"%m/%d/%Y %H:%M:%S"`
echo Generated: $DATEx           >> $HOSTNAME.info
echo "                                              " >> $HOSTNAME.info
./lmutil vminfo -long          >>  $HOSTNAME.info
echo "                                              " >> $HOSTNAME.info
MACADD=`./lmutil lmhostid -n -ether`
echo Mac Address=$MACADD    >>  $HOSTNAME.info
./lmutil lmhostid -n internet -v4  >>  $HOSTNAME.info
./lmutil lmhostid -n internet -v6 >>  $HOSTNAME.info
./lmutil lmhostid -n -user     >>  $HOSTNAME.info
./lmutil lmhostid -n -hostname >>  $HOSTNAME.info 
./lmutil lmhostid -n -display  >>  $HOSTNAME.info
./lmutil lmhostid -n -flexid  >>  $HOSTNAME.info
echo "                                              " >> $HOSTNAME.info
./LDRA -v  >>  $HOSTNAME.info
./lmgrd -v  >>  $HOSTNAME.info
echo "                                              " >> $HOSTNAME.info
lsb_release -d >> $HOSTNAME.info
echo "                                              " >> $HOSTNAME.info
uname -a >> $HOSTNAME.info
echo "                                              " >> $HOSTNAME.info
./lmutil lmhostid -n -ptype VM -uuid                    >> $HOSTNAME.info
echo "                                              " >> $HOSTNAME.info
echo "##############################################" >> $HOSTNAME.info
echo "#                                            #" >> $HOSTNAME.info
echo "# To obtain your license, email the contents #" >> $HOSTNAME.info
echo "# of this file to licencing@ldra.com         #" >> $HOSTNAME.info
echo "# including your Customer ID in the subject  #" >> $HOSTNAME.info
echo "# field.                                     #" >> $HOSTNAME.info
echo "#                                            #" >> $HOSTNAME.info
echo "##############################################" >> $HOSTNAME.info

